<?php
/**
 * Kindergarten Education Theme Customizer
 * @package Kindergarten Education
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function kindergarten_education_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'kindergarten_education_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'kindergarten-education' ),
	    'description' => __( 'Description of what this panel does.', 'kindergarten-education' ),
	) );

	//layout setting
	$wp_customize->add_section( 'kindergarten_education_option', array(
    	'title'      => __( 'Layout Settings', 'kindergarten-education' ),
		'priority'   => 30,
		'panel' => 'kindergarten_education_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('kindergarten_education_layout_options',array(
        'default' => __('Right Sidebar','kindergarten-education'),
        'sanitize_callback' => 'kindergarten_education_sanitize_choices'	        
	) );

	$wp_customize->add_control('kindergarten_education_layout_options', array(
        'type' => 'radio',
        'label' => __('Do you want this section','kindergarten-education'),
        'section' => 'kindergarten_education_option',
        'choices' => array(
            'One Column' => __('One Column','kindergarten-education'),
            'Three Columns' => __('Three Columns','kindergarten-education'),
            'Four Columns' => __('Four Columns','kindergarten-education'),
            'Grid Layout' => __('Grid Layout','kindergarten-education'),
            'Left Sidebar' => __('Left Sidebar','kindergarten-education'),
            'Right Sidebar' => __('Right Sidebar','kindergarten-education')
        ),
	)   );


	$font_array = array(
		''                       => 'No Fonts',
		'Abril Fatface'          => 'Abril Fatface',
		'Acme'                   => 'Acme',
		'Anton'                  => 'Anton',
		'Architects Daughter'    => 'Architects Daughter',
		'Arimo'                  => 'Arimo',
		'Arsenal'                => 'Arsenal',
		'Arvo'                   => 'Arvo',
		'Alegreya'               => 'Alegreya',
		'Alfa Slab One'          => 'Alfa Slab One',
		'Averia Serif Libre'     => 'Averia Serif Libre',
		'Bangers'                => 'Bangers',
		'Boogaloo'               => 'Boogaloo',
		'Bad Script'             => 'Bad Script',
		'Bitter'                 => 'Bitter',
		'Bree Serif'             => 'Bree Serif',
		'BenchNine'              => 'BenchNine',
		'Cabin'                  => 'Cabin',
		'Cardo'                  => 'Cardo',
		'Courgette'              => 'Courgette',
		'Cherry Swash'           => 'Cherry Swash',
		'Cormorant Garamond'     => 'Cormorant Garamond',
		'Crimson Text'           => 'Crimson Text',
		'Cuprum'                 => 'Cuprum',
		'Cookie'                 => 'Cookie',
		'Chewy'                  => 'Chewy',
		'Days One'               => 'Days One',
		'Dosis'                  => 'Dosis',
		'Droid Sans'             => 'Droid Sans',
		'Economica'              => 'Economica',
		'Fredoka One'            => 'Fredoka One',
		'Fjalla One'             => 'Fjalla One', 
		'Francois One'           => 'Francois One',
		'Frank Ruhl Libre'       => 'Frank Ruhl Libre',
		'Gloria Hallelujah'      => 'Gloria Hallelujah',
		'Great Vibes'            => 'Great Vibes',
		'Handlee'                => 'Handlee',
		'Hammersmith One'        => 'Hammersmith One',
		'Inconsolata'            => 'Inconsolata',
		'Indie Flower'           => 'Indie Flower', 
		'IM Fell English SC'     => 'IM Fell English SC',
		'Julius Sans One'        => 'Julius Sans One',
		'Josefin Slab'           => 'Josefin Slab',
		'Josefin Sans'           => 'Josefin Sans',
		'Kanit'                  => 'Kanit', 
		'Lobster'                => 'Lobster',
		'Lato'                   => 'Lato',
		'Lora'                   => 'Lora',
		'Libre Baskerville'      => 'Libre Baskerville',
		'Lobster Two'            => 'Lobster Two', 
		'Merriweather'           => 'Merriweather',
		'Monda'                  => 'Monda', 
		'Montserrat'             => 'Montserrat',
		'Muli'                   => 'Muli', 
		'Marck Script'           => 'Marck Script', 
		'Noto Serif'             => 'Noto Serif', 
		'Open Sans'              => 'Open Sans', 
		'Overpass'               => 'Overpass',
		'Overpass Mono'          => 'Overpass Mono',
		'Oxygen'                 => 'Oxygen', 
		'Orbitron'               => 'Orbitron',
		'Patua One'              => 'Patua One',
		'Pacifico'               => 'Pacifico',
		'Padauk'                 => 'Padauk',
		'Playball'               => 'Playball',
		'Playfair Display'       => 'Playfair Display', 
		'PT Sans'                => 'PT Sans',
		'Philosopher'            => 'Philosopher',
		'Permanent Marker'       => 'Permanent Marker',
		'Poiret One'             => 'Poiret One',
		'Quicksand'              => 'Quicksand',
		'Quattrocento Sans'      => 'Quattrocento Sans',
		'Raleway'                => 'Raleway',
		'Rubik'                  => 'Rubik', 
		'Rokkitt'                => 'Rokkitt',
		'Russo One'              => 'Russo One',
		'Righteous'              => 'Righteous',
		'Slabo'                  => 'Slabo', 
		'Source Sans Pro'        => 'Source Sans Pro',
		'Shadows Into Light Two' => 'Shadows Into Light Two', 
		'Shadows Into Light'     => 'Shadows Into Light',
		'Sacramento'             => 'Sacramento',
		'Shrikhand'              => 'Shrikhand',
		'Tangerine'              => 'Tangerine',
		'Ubuntu'                 => 'Ubuntu',
		'VT323'                  => 'VT323',
		'Varela Round'           => 'Varela Round',
		'Vampiro One'            => 'Vampiro One',
		'Vollkorn'               => 'Vollkorn', 
		'Volkhov'                => 'Volkhov',
		'Yanone Kaffeesatz'      => 'Yanone Kaffeesatz'
	);

	//Typography
	$wp_customize->add_section('kindergarten_education_typography', array(
		'title'    => __('Typography', 'kindergarten-education'),
		'priority' => 30,
		'panel'    => 'kindergarten_education_panel_id',
	));

	// This is Paragraph Color picker setting
	$wp_customize->add_setting('kindergarten_education_paragraph_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_paragraph_color', array(
		'label'    => __('Paragraph Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_paragraph_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control(	'kindergarten_education_paragraph_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('Paragraph Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	$wp_customize->add_setting('kindergarten_education_paragraph_font_size', array(
		'default'           => '12px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('kindergarten_education_paragraph_font_size', array(
		'label'   => __('Paragraph Font Size', 'kindergarten-education'),
		'section' => 'kindergarten_education_typography',
		'setting' => 'kindergarten_education_paragraph_font_size',
		'type'    => 'text',
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting('kindergarten_education_atag_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_atag_color', array(
		'label'    => __('"a" Tag Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_atag_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control(	'kindergarten_education_atag_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('"a" Tag Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting('kindergarten_education_li_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_li_color', array(
		'label'    => __('"li" Tag Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_li_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control(	'kindergarten_education_li_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('"li" Tag Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting('kindergarten_education_h1_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_h1_color', array(
		'label'    => __('H1 Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_h1_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control('kindergarten_education_h1_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('H1 Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('kindergarten_education_h1_font_size', array(
		'default'           => '50px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('kindergarten_education_h1_font_size', array(
		'label'   => __('H1 Font Size', 'kindergarten-education'),
		'section' => 'kindergarten_education_typography',
		'setting' => 'kindergarten_education_h1_font_size',
		'type'    => 'text',
	));
	// This is H2 Color picker setting
	$wp_customize->add_setting('kindergarten_education_h2_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_h2_color', array(
		'label'    => __('h2 Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_h2_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control(
	'kindergarten_education_h2_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('h2 Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('kindergarten_education_h2_font_size', array(
		'default'           => '45px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('kindergarten_education_h2_font_size', array(
		'label'   => __('H2 Font Size', 'kindergarten-education'),
		'section' => 'kindergarten_education_typography',
		'setting' => 'kindergarten_education_h2_font_size',
		'type'    => 'text',
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting('kindergarten_education_h3_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_h3_color', array(
		'label'    => __('H3 Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_h3_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control(
	'kindergarten_education_h3_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('H3 Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('kindergarten_education_h3_font_size', array(
		'default'           => '36px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('kindergarten_education_h3_font_size', array(
		'label'   => __('H3 Font Size', 'kindergarten-education'),
		'section' => 'kindergarten_education_typography',
		'setting' => 'kindergarten_education_h3_font_size',
		'type'    => 'text',
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting('kindergarten_education_h4_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_h4_color', array(
		'label'    => __('H4 Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_h4_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control('kindergarten_education_h4_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('H4 Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('kindergarten_education_h4_font_size', array(
		'default'           => '30px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('kindergarten_education_h4_font_size', array(
		'label'   => __('H4 Font Size', 'kindergarten-education'),
		'section' => 'kindergarten_education_typography',
		'setting' => 'kindergarten_education_h4_font_size',
		'type'    => 'text',
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting('kindergarten_education_h5_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_h5_color', array(
		'label'    => __('H5 Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_h5_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control('kindergarten_education_h5_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('H5 Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('kindergarten_education_h5_font_size', array(
		'default'           => '25px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('kindergarten_education_h5_font_size', array(
		'label'   => __('H5 Font Size', 'kindergarten-education'),
		'section' => 'kindergarten_education_typography',
		'setting' => 'kindergarten_education_h5_font_size',
		'type'    => 'text',
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting('kindergarten_education_h6_color', array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'kindergarten_education_h6_color', array(
		'label'    => __('H6 Color', 'kindergarten-education'),
		'section'  => 'kindergarten_education_typography',
		'settings' => 'kindergarten_education_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('kindergarten_education_h6_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control('kindergarten_education_h6_font_family', array(
		'section' => 'kindergarten_education_typography',
		'label'   => __('H6 Fonts', 'kindergarten-education'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('kindergarten_education_h6_font_size', array(
		'default'           => '18px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('kindergarten_education_h6_font_size', array(
		'label'   => __('H6 Font Size', 'kindergarten-education'),
		'section' => 'kindergarten_education_typography',
		'setting' => 'kindergarten_education_h6_font_size',
		'type'    => 'text',
	));

	//home page slider
	$wp_customize->add_section( 'kindergarten_education_slidersettings' , array(
    	'title'      => __( 'Slider Settings', 'kindergarten-education' ),
		'priority'   => 30,
		'panel' => 'kindergarten_education_panel_id'
	) );

	$wp_customize->add_setting('kindergarten_education_slider_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('kindergarten_education_slider_hide',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide slider','kindergarten-education'),
       'section' => 'kindergarten_education_slidersettings',
    ));

	for ( $count = 1; $count <= 4; $count++ ) {

		$wp_customize->add_setting( 'kindergarten_education_slider_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'kindergarten_education_sanitize_dropdown_pages'
		) );

		$wp_customize->add_control( 'kindergarten_education_slider_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'kindergarten-education' ),
			'section'  => 'kindergarten_education_slidersettings',
			'type'     => 'dropdown-pages'
		) );
	}

	$wp_customize->add_setting( 'kindergarten_education_slider_excerpt_number', array(
		'default'              => 30,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'kindergarten_education_slider_excerpt_number', array(
		'label'       => esc_html__( 'Slider Content Limit','kindergarten-education' ),
		'section'     => 'kindergarten_education_slidersettings',
		'type'        => 'number',
		'settings'    => 'kindergarten_education_slider_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//Service
	$wp_customize->add_section('kindergarten_education_services',array(
		'title'	=> __('Service','kindergarten-education'),
		'description'	=> __('Add Service Section below.','kindergarten-education'),
		'panel' => 'kindergarten_education_panel_id',
	));

	$post_list = get_posts();
	$i = 0;
	$pst[]='Select';  
	foreach($post_list as $post){
	$pst[$post->post_title] = $post->post_title;
	}

	$wp_customize->add_setting('kindergarten_education_single_post',array(
		'sanitize_callback' => 'kindergarten_education_sanitize_choices',
	));
	$wp_customize->add_control('kindergarten_education_single_post',array(
		'type'    => 'select',
		'choices' => $pst,
		'label' => __('Select post','kindergarten-education'),
		'section' => 'kindergarten_education_services',
	));

	$wp_customize->add_setting( 'kindergarten_education_service_excerpt_number', array(
		'default'              => 30,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'kindergarten_education_service_excerpt_number', array(
		'label'       => esc_html__( 'Services Content Limit','kindergarten-education' ),
		'section'     => 'kindergarten_education_services',
		'type'        => 'number',
		'settings'    => 'kindergarten_education_service_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//Category1
	$wp_customize->add_section('kindergarten_education_categoryservices',array(
		'title'	=> __('Service Category','kindergarten-education'),
		'description'	=> __('Add Service Section below.','kindergarten-education'),
		'panel' => 'kindergarten_education_panel_id',
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
	if($i==0){
	$default = $category->slug;
	$i++;
	}
	$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('kindergarten_education_blogcategory_setting',array(
		'default'	=> 'select',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('kindergarten_education_blogcategory_setting',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => __('Select Category to display Latest Post','kindergarten-education'),
		'section' => 'kindergarten_education_categoryservices',
	));

	$wp_customize->add_setting( 'kindergarten_education_category_excerpt_number', array(
		'default'              => 30,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'kindergarten_education_category_excerpt_number', array(
		'label'       => esc_html__( 'Category Content Limit','kindergarten-education' ),
		'section'     => 'kindergarten_education_categoryservices',
		'type'        => 'number',
		'settings'    => 'kindergarten_education_category_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//footer text
	$wp_customize->add_section('kindergarten_education_footer_section',array(
		'title'	=> __('Footer Text','kindergarten-education'),
		'panel' => 'kindergarten_education_panel_id'
	));

	$wp_customize->add_setting('footer_widget_areas',array(
        'default'           => '3',
        'sanitize_callback' => 'kindergarten_education_sanitize_choices',
    ));
    $wp_customize->add_control('footer_widget_areas',array(
        'type'        => 'radio',
        'label'       => __('Footer Widget Area', 'kindergarten-education'),
        'section'     => 'kindergarten_education_footer_section',
        'description' => __('Select the number of widget areas you want in the footer. After that, go to Appearance > Widgets and add your widgets.', 'kindergarten-education'),
        'choices' => array(
            '1'     => __('One', 'kindergarten-education'),
            '2'     => __('Two', 'kindergarten-education'),
            '3'     => __('Three', 'kindergarten-education'),
            '4'     => __('Four', 'kindergarten-education')
        ),
    ));
	
	$wp_customize->add_setting('kindergarten_education_footer_copy',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('kindergarten_education_footer_copy',array(
		'label'	=> __('Copyright Text','kindergarten-education'),
		'section'	=> 'kindergarten_education_footer_section',
		'description'	=> __('Add some text for footer like copyright etc.','kindergarten-education'),
		'type'		=> 'text'
	));
}
add_action( 'customize_register', 'kindergarten_education_customize_register' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Kindergarten_Education_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Kindergarten_Education_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Kindergarten_Education_Customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'title'   =>  esc_html__( 'kindergarten Edu Pro', 'kindergarten-education' ),
					'pro_text' => esc_html__( 'Go Pro', 'kindergarten-education' ),
					'pro_url'  => esc_url('https://www.buywptemplates.com/themes/kindergarten-education-wordpress-theme/'),
					'priority'   => 9
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'kindergarten-education-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'kindergarten-education-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}

	//Footer widget areas
	function kindergarten_education_sanitize_choices( $input ) {
	    $valid = array(
	        '1'     => __('One', 'kindergarten-education'),
	        '2'     => __('Two', 'kindergarten-education'),
	        '3'     => __('Three', 'kindergarten-education'),
	        '4'     => __('Four', 'kindergarten-education')
	    );
	    if ( array_key_exists( $input, $valid ) ) {
	        return $input;
	    } else {
	        return '';
	    }
	}
}

// Doing this customizer thang!
Kindergarten_Education_Customize::get_instance();