<?php
/**
 * The template part for displaying audio post
 * @package Kindergarten Education
 * @subpackage kindergarten_education
 * @since 1.0
 */
?>
<?php
  $content = apply_filters( 'the_content', get_the_content() );
  $audio   = false;

  // Only get audio from the content if a playlist isn't present.
  if ( false === strpos( $content, 'wp-playlist-script' ) ) {
    $audio = get_media_embedded_in_content( $content, array( 'audio' ) );
  }
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="row m-0">
    <div class="col-lg-2 col-md-2 p-0">
      <div class="datebox">
        <div class="datewrap">
          <span class="date-day"><?php echo esc_html( get_the_date( 'd') ); ?></span>
        </div>
        <div class="month-yearwrap">
          <span class="date-month"><?php echo esc_html( get_the_date( 'M' ) ); ?></span>
          <span class="date-year"><?php echo esc_html( get_the_date( 'Y' ) ); ?></span>
        </div>
      </div>
    </div>
    <div class="col-lg-10 col-md-10 inner-box">
          <div class="box-image">
            <?php
              if ( ! is_single() ) {

                // If not a single post, highlight the audio file.
                if ( ! empty( $audio ) ) {
                  foreach ( $audio as $audio_html ) {
                    echo '<div class="entry-audio">';
                      echo $audio_html;
                    echo '</div><!-- .entry-audio -->';
                  }
                };
              };
            ?>
          </div>
          <h3 class="section-title"><?php the_title();?></h3>      
          <div class="new-text">
            <p><?php the_excerpt();?></p>
          </div>
      <div class="row inner-box-cat-tag">
        <div class="col-lg-6 col-md-6">
          <p class="cats"><span class="cats-1"><?php esc_html_e( 'Category: ','kindergarten-education' ); ?></span><?php foreach((get_the_category()) as $category) { echo esc_html($category->cat_name) . ' '; } ?>
          </p>
          <p class="tag">
            <span class="tags-1"><?php esc_html_e( 'Tags: ','kindergarten-education' ); ?></span><?php
              if( $tags = get_the_tags() ) {
                echo '<span class="meta-sep"></span>';
                foreach( $tags as $tag ) {
                  $sep = ( $tag === end( $tags ) ) ? '' : ' ';
                  echo '<a href="' . esc_url(get_term_link( $tag, $tag->taxonomy )) . '">#' . esc_html($tag->name) . '</a>' . esc_html($sep);
                }
              }
            ?>
          </p>        
        </div>
        <div class="col-lg-6 col-md-6">
          <div class="postbtn">
            <a href="<?php the_permalink(); ?>"><?php esc_html_e('View More','kindergarten-education'); ?></a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>